#header{
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  transform: translateY(-100px);
  opacity: 0;
  transition: background-color .5s, box-shadow .5s;
  animation: show_down .7s linear forwards;
}
@keyframes show_down{
  100%{
      transform: translateY(0);
      opacity: 1;
  }
}
#header.on{
  background-color: #fff;
}
#header .center{
  width: 92.5%;
  min-width: 1300px;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}
#header .center>a{
  height: 100px;
}
a.logo p{
  color: #fff;
}
#header.on a.logo p{
  color: #111;
}

.main_menu{
  gap: 0 5vw;
}
.main_menu>li{
  width: max-content;
  position: relative;
}
.main_menu>li .under_on:after{
  content: " ";
  width: 100% !important;
  height: 2px;
  position: absolute;
  left: 0;
  bottom: 30px;
  background-color: #e99f11;
}
.main_menu>li a{
  height: 100px;
  display: flex;
  align-items: center;
  color: #fff;
  position: relative;
  transition: color .3s;
}
#header.on ul.main_menu>li a,
#header.shadow ul.main_menu>li a,
#header.shadow .logo p{
  color: #111;
}
.main_menu>li a:after{
  content: " ";
  width: 0;
  height: 2px;
  position: absolute;
  left: 0;
  bottom: 30px;
  background-color: #e99f11;
  transition: width .5s;
}
.main_menu>li:hover a:after,
.main_menu>li.on a:after{
  width: 100%;
}
.sub_menu{
  display: none;
  width: 100%;
  padding-bottom: 15px;
}
.sub_menu li{
  font-size: 16px;
  color: #6b6b6b;
  text-align: center;
  margin-bottom: 20px;
  cursor: pointer;
}
.sub_menu li:hover,
.sub_menu li.on{
  color: #e99f11;
}
.menu_box{
  gap: 0 1vw;
  height: 100px;
  align-items: flex-start;
}

.search{
  position: relative;
  display: flex;
  align-items: center;
}
.search i{
  color: #fff;
}
#header.on .search i{
  color: #111;
}
#header.on .search_box{
  border-bottom: 1.5px solid #000000;
  box-sizing: border-box;
  align-self: center;
}
.search_box input{
  color: transparent;
  background-color: transparent;
  border: 0;
  pointer-events: none;
  padding: 0;
}
#header.on .search_box input{
  color: #111;
  pointer-events: auto;
  padding-bottom: 5px;
}
.search_box input::placeholder{
  color: transparent;
  pointer-events: none;
}
#header.on .search_box input::placeholder{
  color: #b3b3b3;
  pointer-events: auto;
}
.search_result{
  display: none;
  width: 100%;
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 1000;
}
#header.on .search_result{
  margin-top: 30px;
  flex-direction: column;
  display: flex;
}
#header.on .search_result li{
  gap: 10px 0;
  width: 100%;
}
.search_result p{
  color: transparent;
}
#header.on .search_result p{
  color: #838383;
}

.st_icon{
  position: relative;
  height: 25px;
  width: 41px;
}
.st_icon span{
  position: absolute;
  background-color: #fff;
  height: 2px;
  left: 0;
  width: 100%;
  transition: width .3s;
}
.st_icon span:nth-child(1){
  top: 0;
  width: 33px;
}
.st_icon span:nth-child(2){
  top: 50%;
  transform: translateY(-50%);
}
.st_icon span:nth-child(3){
  bottom: 0;
  width: 23px;
}
.st_icon:hover span{
  width: 100%;
}
.user i{
  color: #fff;
}
#header.shadow .user i{
  color: #111;
}
#header.shadow .st_icon span{
  background-color: #111;
}
#header.on .user,
#header.on .st_icon{
  pointer-events: none;
}
span.full_bg1{
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 998;
  opacity: 0;
  visibility: hidden;
  transition: opacity .3s, visibility .3s;
}
span.full_bg1.on{
  opacity: 1;
  visibility: visible;
}

/* sitemap */
.sitemap{
  width: 350px;
  height: 100%;
  position: fixed;
  top: 0;
  right: 0;
  background-color: #181616;
  z-index: 99999;
  transform: translateX(100%);
  transition: transform .5s ease-in-out;
}
.sitemap.show{
  transform: translateX(0);
}
.close_btn{
  width: 100%;
  border-bottom: 1px solid #ffffff;
  padding: 20px 25px;
  box-sizing: border-box;
}
.st_main{
  width: 100%;
}
.st_main>li{
  width: 100%;
  border-bottom: 1px solid #ffffff;
}
.st_main>li p{
  width: 100%;
  padding: 15px 15px 15px 25px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  transition: background-color .3s;
}
.st_main>li.on p{
  background-color: #e99f11;
}
.st_main>li p i{
  transition: transform .3s;
}
.st_main>li.on p i{
  transform: rotate(180deg);
}
.st_sub{
  width: 100%;
  display: none;
}
.st_sub li{
  width: 100%;
  padding: 10px 30px;
  box-sizing: border-box;
  cursor: pointer;
  background-color: #464545;
  transition: background-color .3s;
}
.st_sub li:hover{
  background-color: #656565;
}
span.full_bg2{
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000;
  opacity: 0;
  visibility: hidden;
  transition: opacity .3s, visibility .3s;
}
span.full_bg2.on{
  opacity: 1;
  visibility: visible;
}

/* mobile */
@media screen and (max-width: 767px){ 
  #header .center{
    width: 90%;
    min-width: unset;
  }
  #header .center>a {
    height: 70px;
  }
  .main_menu{
    display: none !important;
  }
  .menu_box{
    height: 70px;
  }

  .st_icon{
    height: 15px;
    width: 20px;
  }
  .st_icon span:nth-child(1){
    width: 15px;
  }
  .st_icon span:nth-child(3){
    width: 10px;
  }
  .sitemap{
    width: 100%;
  }
}
  
/* tablet */
@media screen and (min-width: 768px) and (max-width: 1024px){
   #header .center{
    width: 90%;
    min-width: unset;
  }
  .main_menu{
    display: none !important;
  }

  .st_icon{
    height: 20px;
    width: 25px;
  }
  .st_icon span:nth-child(1){
    width: 18px;
  }
  .st_icon span:nth-child(3){
    width: 13px;
  }


}